******
***           ALL ESTIMATES ON AGGREGATE VARIABLES
***
***                       TABLES
***   Table 1  Government spending and the value added of non-market
***   
***                       FIGURES          
***   Figure 1 The Geographic Cross-Sectional Government Spending Multiplier and Local Autonomy
***   
***           Correlations in the text in Section 3.2
***   
******
***
***   Change it to the location of aggeregate_data.dta
***
***   cd "<location of aggeregate_data.dta>"
***
************

use "aggregate_data.dta", clear 

tsset ISOCodeNum year, yearly

generate GOVph=GOV/H_EMP
generate GVA_6ph=GVA_6/H_EMP
generate lGOV=ln(GOV)
generate lGVA_6=ln(GVA_6)
generate lGOVph=ln(GOVph)
generate lGVA_6ph=ln(GVA_6ph)
generate rGVA_6=GVA_6/GOV

******
***Correlations in Section 3.2 in the text 
******
correlate GOVph GVA_6ph
correlate lGOVph lGVA_6ph

correlate GOV GVA_6
correlate lGOV lGVA_6

******
***Table 1 
******

*** Government spending and the value added of non-market
reg GOV GVA_6, rob
xtreg GOV GVA_6,fe
xtreg GOV GVA_6 i.year,fe

*** log government spending and the log value added of non-market
reg lGOV lGVA_6, rob
xtreg lGOV lGVA_6,fe
xtreg lGOV lGVA_6 i.year,fe

*** Government spending per hour and the value added of non-market per hour
reg GOVph GVA_6ph, rob
xtreg GOVph GVA_6ph,fe
xtreg GOVph GVA_6ph i.year,fe

*** log government spending per hour and the log value added of non-market per hour
reg lGOVph lGVA_6ph, rob
xtreg lGOVph lGVA_6ph,fe
xtreg lGOVph lGVA_6ph i.year,fe


*** Figure 1
graph set window fontface "Times New Roman"
graph twoway ///
	(scatter lGOV lGVA_6) (func y=x, range(6 14) lwidth(thick)), ///
	 ylabel(, angle(0)) legend(off) xsize(10) ysize(10) ///
	 ytitle(Log of real government expenditures) xtitle(Log of real value added of non-market services) ///
	 name(figure1, replace)

*graph export  "figure1.eps", name(figure1) as(eps) fontface("Times New Roman") replace
	
exit





